%define module  lockfile

Name:           python-%{module}
Version:        0.12.2
Release:        %mkrel 13
Summary:        Platform-independent file locking module
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/lockfile
Source0:        https://pypi.python.org/packages/source/l/lockfile/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
The lockfile module exports a FileLock class which provides a simple API for
locking files. The lock mechanism relies on the atomic nature of the link
(on Unix) and mkdir (on Windows) system calls.

%package -n     python3-%{module}
Summary:        Platform-independent file locking module
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The lockfile module exports a FileLock class which provides a simple API for
locking files. The lock mechanism relies on the atomic nature of the link
(on Unix) and mkdir (on Windows) system calls.
This is the Python 3 build of %{module}.

%files -n python3-%{module} -f %{pyproject_files}
%doc doc/* AUTHORS ChangeLog README.rst RELEASE-NOTES ACKS


#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}


find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lockfile


%changelog
* Sat Mar 01 2025 wally <wally> 0.12.2-13.mga10
+ Revision: 2155227
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 0.12.2-12.mga10
+ Revision: 2017627
- rebuild for python 3.12

* Sat Dec 09 2023 wally <wally> 0.12.2-11.mga10
+ Revision: 2016448
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.12.2-10.mga9
+ Revision: 1825033
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.12.2-9.mga9
+ Revision: 1783823
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.12.2-8.mga9
+ Revision: 1707540
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.12.2-7.mga8
+ Revision: 1531830
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.12.2-6.mga8
+ Revision: 1441254
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.12.2-5.mga7
+ Revision: 1351619
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.12.2-4.mga7
+ Revision: 1289174
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.12.2-3.mga7
+ Revision: 1168487
- BR pythonX-pbr thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.12.2-2.mga7
+ Revision: 1135487
- Rebuild for python 3.6

* Thu Dec 17 2015 daviddavid <daviddavid> 0.12.2-1.mga6
+ Revision: 911255
- new version: 0.12.2
- update doc file list

* Fri Oct 09 2015 daviddavid <daviddavid> 0.10.2-1.mga6
+ Revision: 888017
- new version: 0.10.2
- update URL and Source URL
- update file list

* Fri Oct 09 2015 daviddavid <daviddavid> 0.9.1-10.mga6
+ Revision: 887999
- rebuild for python 3.5
- make it noarch thus fixing empty debuginfo
- use new python macros

* Mon Jan 05 2015 joequant <joequant> 0.9.1-9.mga5
+ Revision: 808668
- add python3 package

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-8.mga5
+ Revision: 749570
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-7.mga5
+ Revision: 728953
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-6.mga5
+ Revision: 688125
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.1-4.mga4
+ Revision: 543734
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.1-3.mga4
+ Revision: 498852
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-2.mga3
+ Revision: 379048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 0.9.1-1.mga3
+ Revision: 314175
- imported package python-lockfile


* Wed May 11 2011 Sandro Cazzaniga <kharec@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 673562
- new version
- add ":" in build for fix rpmlint warning

* Thu Mar 18 2010 Caio Begotti <caio1982@mandriva.org> 0.8-1mdv2011.0
+ Revision: 525009
- import python-lockfile

